[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/gallery2/devel README.fedora.Gallery2, 1.3, 1.4 gallery2-htaccess, 1.1, 1.2 gallery2.spec, 1.5, 1.6



Author: jwb

Update of /cvs/pkgs/rpms/gallery2/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv9564

Modified Files:
	README.fedora.Gallery2 gallery2-htaccess gallery2.spec 
Log Message:
Integrating upstream feedback from 2.1-> 2.2 switch


Index: README.fedora.Gallery2
===================================================================
RCS file: /cvs/pkgs/rpms/gallery2/devel/README.fedora.Gallery2,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- README.fedora.Gallery2	7 May 2007 03:37:44 -0000	1.3
+++ README.fedora.Gallery2	7 May 2007 15:23:54 -0000	1.4
@@ -1,6 +1,6 @@
 Gallery2 (G2) requires a database backend to function properly.  Currently, G2
-supports Oracle, MySQL, and PostgreSQL databases; the choice of which to use
-is completely up to you.
+supports Oracle, MySQL, PostgreSQL, DB2, and MS SQL Server databases; the 
+choice of which to use is completely up to you.
 
 To run thorugh the setup, you must have an empty database available that you
 plan to use with G2.  The instructions below should help with getting the
@@ -22,6 +22,7 @@
 CREATE DATABASE
 -bash-3.1$
 
+We don't include instructions for creating databases in other RDBMS's here.
 
 That's it.  You may wish to consult the upstream database documentation at
 http://dev.mysql.com/doc/ for MySQL or http://www.postgresql.org/docs/ for 
@@ -57,3 +58,19 @@
 Step 7 (Create config file): This step will tell you that the config file,
 config.php, has been written to the gallery2 directory.  It was actually
 written to /etc/gallery2.
+
+
+KNOWN ISSUES
+------------
+Gallery2 has a feature available in it's admin console whereby a user can
+download and install new themes and modules from within the web interface.
+Because Fedora requires that web applications be in /usr/share/<pkgname> and
+that /usr be able to be read-only, this feature may not work in some
+environments.  If you have a read-only /usr, you will not be able to use this
+feature and you will have to install new themes and modules by remounting
+/usr rw and using the yum/rpm commands to install the sub-packages.  If this
+feature does work in your environment, please be advised that using it
+will result in the modules and themes you download not being present in the
+RPM database and not being managed by the system.  Because of this second
+caveat, there are no plans to request an exception to the packaging
+guidelines to explicitly enable this feature.


Index: gallery2-htaccess
===================================================================
RCS file: /cvs/pkgs/rpms/gallery2/devel/gallery2-htaccess,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gallery2-htaccess	7 Jun 2006 03:51:38 -0000	1.1
+++ gallery2-htaccess	7 May 2007 15:23:54 -0000	1.2
@@ -1 +1 @@
-php_value memory_limit 16M
+php_value memory_limit 24M


Index: gallery2.spec
===================================================================
RCS file: /cvs/pkgs/rpms/gallery2/devel/gallery2.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- gallery2.spec	7 May 2007 03:37:44 -0000	1.5
+++ gallery2.spec	7 May 2007 15:23:54 -0000	1.6
@@ -7,7 +7,7 @@
 Name: gallery2
 Version: 2.2
 Group: Applications/Publishing
-Release: 0.1.svn20070506%{?dist}
+Release: 0.2.svn20070506%{?dist}
 License: GPL
 # Source0: http://dl.sf.net/gallery/gallery-2.2-developer.tar.gz
 # Using SVN tarball for source to resolve provides issues sanely
@@ -16,7 +16,7 @@
 Source2: gallery2-htaccess
 Source3: README.fedora.Gallery2
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires: php >= 4.1.0, httpd, gallery2-classic, gallery2-matrix, gallery2-display
+Requires: php >= 4.3.0, httpd, gallery2-classic, gallery2-matrix, gallery2-display
 BuildArch: noarch
 # Subversion needed to generate manifest
 BuildRequires: perl-String-CRC32, subversion
@@ -419,8 +419,8 @@
 The base Gallery 2 installation - the equivalent of upstream's -minimal 
 package.  This package requires a database to be operational.  Acceptable
 database backends include MySQL v 3.x, MySQL v 4.x, PostgreSQL v 7.x,
-PostgreSQL v 8.x, Oracle 9i, and Oracle 10g.  All given package versions are
-minimums, greater package versions are acceptable.
+PostgreSQL v 8.x, Oracle 9i, Oracle 10g, DB2, and MS SQL Server.  All given 
+package versions are minimums, greater package versions are acceptable.
 
 %description albumselect
 Gallery 2 module - Jump directly to any album using a select box or tree view
@@ -689,7 +689,7 @@
 touch ${RPM_BUILD_ROOT}%{g2confdir}/login.txt
 ln -s ../../..%{g2confdir}/login.txt ${RPM_BUILD_ROOT}%{installprefix}/gallery2/login.txt
 echo "<?php /* This file intentionally empty - it is populated during Gallery's setup / configuration process*/ " > ${RPM_BUILD_ROOT}%{g2confdir}/config.php
-echo "\$gallery->setConfig('data.gallery.base', '/srv/gallery2');" >> ${RPM_BUILD_ROOT}%{g2confdir}/config.php
+echo "\$gallery->setConfig('data.gallery.base', '%{g2datadir}/');" >> ${RPM_BUILD_ROOT}%{g2confdir}/config.php
 echo "?>" >> ${RPM_BUILD_ROOT}%{g2confdir}/config.php
 ln -s ../../..%{g2confdir}/config.php ${RPM_BUILD_ROOT}%{installprefix}/gallery2/config.php
 chmod 644 ${RPM_BUILD_ROOT}%{g2confdir}/config.php
@@ -1030,6 +1030,15 @@
 %{installprefix}/gallery2/themes/tile/
 
 %changelog
+* Mon May  7 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.2.svn20070506
+- Requires PHP 4.3.0, not 4.1.0
+- Add statement of support for DB2, MS SQL server
+- Don't hardcode /srv/gallery2 in install section, use the g2datadir variable
+- Up PHP memory chunk to 24M
+- Known issue - downloading modules and themes from within Gallery will not
+  work with G2 being in /usr/share - esp if /usr is read-only.  Would need
+  exception to Fedora packaging guidelines to enable this feature
+
 * Sun May  6 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.1.svn20070506
 - Switch to upstream ver 2.2 base
 - Add digibug, dynamicalbum, ecard, flashvideo, httpauth, itemadd, keyalbum, mp3audio, multiroot, replica, webdav modules


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]